rte_eth_rss_conf(3)

NAME
rte_eth_rss_conf

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint8_t * rss_key
uint8_t rss_key_len
uint64_t rss_hf
enum rte_eth_hash_function algorithm

Detailed Description

A structure used to configure the Receive Side Scaling (RSS) feature of an Ethernet port.

Definition at line 522 of file rte_ethdev.h.

Field Documentation

  uint8_t* rss_key
In rte_eth_dev_rss_hash_conf_get(), the rss_key_len should be greater than or equal to the hash_key_size which get from rte_eth_dev_info_get() API. And the rss_key should contain at least hash_key_size bytes. If not meet these requirements, the query result is unreliable even if the operation returns success.

In rte_eth_dev_rss_hash_update() or rte_eth_dev_configure(), if rss_key is not NULL, the rss_key_len indicates the length of the rss_key in bytes and it should be equal to hash_key_size. If rss_key is NULL, drivers are free to use a random or a default key.

Definition at line 535 of file rte_ethdev.h.

  uint8_t rss_key_len
hash key length in bytes.

Definition at line 536 of file rte_ethdev.h.

  uint64_t rss_hf
Indicates the type of packets or the specific part of packets to which RSS hashing is to be applied.

Definition at line 541 of file rte_ethdev.h.

  enum rte_eth_hash_function algorithm
Hash algorithm.

Definition at line 542 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.